package com.ywt.outpatient.domain.entity.center;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.Table;
import java.util.Date;

@Entity
@Table(name = "team_doctor")
public class TeamDoctor {

    @Id
    private Integer id;

    /**
     * 团队Id
     */
    @Column(name = "team_id",nullable = false)
    private Integer teamId;

    /**
     * 医生ID
     */
    @Column(name = "doctor_id",nullable = false)
    private Integer doctorId;

    /**
     * 1-已加入 0-未加入，2-已拒绝
     */
    @Column(name = "status",nullable = false)
    private Integer status;


    /**
     * 邀请时间
     */
    @Column(name = "create_time",nullable = false)
    private Date createTime;


    /**
     * 是否删除，false（0）：不删除，true（1）：删除
     */
    @Column(name = "deleted",nullable = false)
    private Boolean deleted;

    /**
     * 更新时间
     */
    @Column(name = "update_time",nullable = false)
    private Date updateTime;

    /**
     * 更新时间
     */
    @Column(name = "join_time",nullable = false)
    private Date joinTime;


    /**
     * 星期一，0-不出诊， 1-本周出诊，2-每周出诊
     */
    @Column(name = "monday", nullable = false)
    private Integer monday = 0;

    /**
     * 星期二，0-不出诊， 1-本周出诊，2-每周出诊
     */
    @Column(name = "tuesday", nullable = false)
    private Integer tuesday = 0;

    /**
     * 星期三，0-不出诊， 1-本周出诊，2-每周出诊
     */
    @Column(name = "wednesday", nullable = false)
    private Integer wednesday = 0;

    /**
     * 星期四，0-不出诊， 1-本周出诊，2-每周出诊
     */
    @Column(name = "thursday", nullable = false)
    private Integer thursday = 0;

    /**
     * 星期五，0-不出诊， 1-本周出诊，2-每周出诊
     */
    @Column(name = "friday", nullable = false)
    private Integer friday = 0;

    /**
     * 星期六，0-不出诊， 1-本周出诊，2-每周出诊
     */
    @Column(name = "saturday", nullable = false)
    private Integer saturday = 0;

    /**
     * 星期日，0-不出诊， 1-本周出诊，2-每周出诊
     */
    @Column(name = "sunday", nullable = false)
    private Integer sunday = 0;

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public Integer getTeamId() {
        return teamId;
    }

    public void setTeamId(Integer teamId) {
        this.teamId = teamId;
    }

    public Integer getDoctorId() {
        return doctorId;
    }

    public void setDoctorId(Integer doctorId) {
        this.doctorId = doctorId;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Boolean getDeleted() {
        return deleted;
    }

    public void setDeleted(Boolean deleted) {
        this.deleted = deleted;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public Date getJoinTime() {
        return joinTime;
    }

    public void setJoinTime(Date joinTime) {
        this.joinTime = joinTime;
    }

    public Integer getMonday() {
        return monday;
    }

    public void setMonday(Integer monday) {
        this.monday = monday;
    }

    public Integer getTuesday() {
        return tuesday;
    }

    public void setTuesday(Integer tuesday) {
        this.tuesday = tuesday;
    }

    public Integer getWednesday() {
        return wednesday;
    }

    public void setWednesday(Integer wednesday) {
        this.wednesday = wednesday;
    }

    public Integer getThursday() {
        return thursday;
    }

    public void setThursday(Integer thursday) {
        this.thursday = thursday;
    }

    public Integer getFriday() {
        return friday;
    }

    public void setFriday(Integer friday) {
        this.friday = friday;
    }

    public Integer getSaturday() {
        return saturday;
    }

    public void setSaturday(Integer saturday) {
        this.saturday = saturday;
    }

    public Integer getSunday() {
        return sunday;
    }

    public void setSunday(Integer sunday) {
        this.sunday = sunday;
    }
}
